Bug 1119243 - Review Request: perl-Test-LoadAllModules - Do use_ok for modules in search path
Summary: Review Request: perl-Test-LoadAllModules - Do use_ok for modules in search path
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1128145
TreeView+ depends on / blocked
 
Reported: 2014-07-14 11:14 UTC by David Dick
Modified: 2014-08-08 12:16 UTC (History)
2 users (show)

Fixed In Version: perl-Test-LoadAllModules-0.022-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-28 03:26:47 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2014-07-14 11:14:34 UTC
Spec URL: http://ddick.fedorapeople.org/packages/perl-Test-LoadAllModules.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Test-LoadAllModules-0.022-1.fc20.src.rpm
Description: Do use_ok for modules in search path
Fedora Account System Username: ddick

Comment 2 Christopher Meng 2014-07-15 04:28:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 24 files have unknown license. Detailed output of
     licensecheck:

Unknown or generated
--------------------
Test-LoadAllModules-0.022/inc/File/Spec.pm
Test-LoadAllModules-0.022/inc/Module/Install.pm
Test-LoadAllModules-0.022/inc/Module/Install/AuthorTests.pm
Test-LoadAllModules-0.022/inc/Module/Install/Base.pm
Test-LoadAllModules-0.022/inc/Module/Install/Can.pm
Test-LoadAllModules-0.022/inc/Module/Install/Fetch.pm
Test-LoadAllModules-0.022/inc/Module/Install/Include.pm
Test-LoadAllModules-0.022/inc/Module/Install/Makefile.pm
Test-LoadAllModules-0.022/inc/Module/Install/Metadata.pm
Test-LoadAllModules-0.022/inc/Module/Install/TestBase.pm
Test-LoadAllModules-0.022/inc/Module/Install/Win32.pm
Test-LoadAllModules-0.022/inc/Module/Install/WriteAll.pm
Test-LoadAllModules-0.022/inc/Spiffy.pm
Test-LoadAllModules-0.022/inc/Test/Base.pm
Test-LoadAllModules-0.022/inc/Test/Base/Filter.pm
Test-LoadAllModules-0.022/inc/Test/Builder.pm
Test-LoadAllModules-0.022/inc/Test/Builder/Module.pm
Test-LoadAllModules-0.022/inc/Test/More.pm
Test-LoadAllModules-0.022/lib/Test/LoadAllModules.pm
Test-LoadAllModules-0.022/t/lib/MyApp.pm
Test-LoadAllModules-0.022/t/lib/MyApp/RegExp/Test.pm
Test-LoadAllModules-0.022/t/lib/MyApp/Test.pm
Test-LoadAllModules-0.022/t/lib2/MyApp2.pm
Test-LoadAllModules-0.022/t/lib2/MyApp2/Test.pm

[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/perl5/vendor_perl/Test(perl-Test-Exception, perl-Test-Harness,
     perl-Test-Requires, perl-Test-Pod, perl-Test-SharedFork, perl-Test-Deep,
     perl-Test-MockObject, perl-Test-Version, perl-Test-TCP, perl-SQL-
     Translator, perl-CPAN-Changes, perl-Test-Fatal, perl-Test-Pod-Coverage,
     perl-Test-Simple)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: perl-Test-LoadAllModules-0.022-1.fc22.noarch.rpm
          perl-Test-LoadAllModules-0.022-1.fc22.src.rpm
perl-Test-LoadAllModules.noarch: W: spelling-error Summary(en_US) ok -> OK, och, pk
perl-Test-LoadAllModules.noarch: W: spelling-error %description -l en_US ok -> OK, och, pk
perl-Test-LoadAllModules.src: W: spelling-error Summary(en_US) ok -> OK, och, pk
perl-Test-LoadAllModules.src: W: spelling-error %description -l en_US ok -> OK, och, pk
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Test-LoadAllModules
perl-Test-LoadAllModules.noarch: W: spelling-error Summary(en_US) ok -> OK, och, pk
perl-Test-LoadAllModules.noarch: W: spelling-error %description -l en_US ok -> OK, och, pk
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Test-LoadAllModules (rpmlib, GLIBC filtered):
    perl(:MODULE_COMPAT_5.18.2)
    perl(Exporter)
    perl(List::MoreUtils)
    perl(Module::Pluggable::Object)
    perl(Test::More)
    perl(strict)
    perl(warnings)



Provides
--------
perl-Test-LoadAllModules:
    perl(Test::LoadAllModules)
    perl-Test-LoadAllModules



Source checksums
----------------
http://www.cpan.org/modules/by-module/Test/Test-LoadAllModules-0.022.tar.gz :
  CHECKSUM(SHA256) this package     : 1b861f555020648a7481d4ad281a89e624187f89437a98b34635691b265e5cfe
  CHECKSUM(SHA256) upstream package : 1b861f555020648a7481d4ad281a89e624187f89437a98b34635691b265e5cfe


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn perl-Test-LoadAllModules-0.022-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

--------------------------------------
Found some bundled libs in the inc/, idea?
--------------------------------------
Hint: 

Pass NO_PACKLIST=1 to make on f21 onwards will not generate the redundant packlist file.
--------------------------------------

Comment 3 David Dick 2014-07-15 07:15:30 UTC
(In reply to Christopher Meng from comment #2)
> --------------------------------------
> Found some bundled libs in the inc/, idea?
> --------------------------------------

I'm not quite sure what you mean.  The bundled libraries are only there for build/test purposes, as can be seen from the rpm below, none of 'inc/' libraries are included in the final rpm for distribution to users.

$ rpm -qp rpmbuild/RPMS/noarch/perl-Test-LoadAllModules-0.022-1.fc20.noarch.rpm -l
/usr/share/doc/perl-Test-LoadAllModules
/usr/share/doc/perl-Test-LoadAllModules/Changes
/usr/share/doc/perl-Test-LoadAllModules/README
/usr/share/man/man3/Test::LoadAllModules.3pm.gz
/usr/share/perl5/vendor_perl/Test
/usr/share/perl5/vendor_perl/Test/LoadAllModules.pm

> Hint: 
> 
> Pass NO_PACKLIST=1 to make on f21 onwards will not generate the redundant
> packlist file.
> --------------------------------------

Okay.  Thanks for that.  I'll remember that for f21 only rpms.

Comment 4 Christopher Meng 2014-07-15 07:42:24 UTC
(In reply to David Dick from comment #3)
> (In reply to Christopher Meng from comment #2)
> > --------------------------------------
> > Found some bundled libs in the inc/, idea?
> > --------------------------------------
> 
> I'm not quite sure what you mean.  The bundled libraries are only there for
> build/test purposes, as can be seen from the rpm below, none of 'inc/'
> libraries are included in the final rpm for distribution to users.
> 
> $ rpm -qp
> rpmbuild/RPMS/noarch/perl-Test-LoadAllModules-0.022-1.fc20.noarch.rpm -l
> /usr/share/doc/perl-Test-LoadAllModules
> /usr/share/doc/perl-Test-LoadAllModules/Changes
> /usr/share/doc/perl-Test-LoadAllModules/README
> /usr/share/man/man3/Test::LoadAllModules.3pm.gz
> /usr/share/perl5/vendor_perl/Test
> /usr/share/perl5/vendor_perl/Test/LoadAllModules.pm

No, I didn't care about the generated RPMs, it's ok. I care about the building process.

If the bundled modules like Test::More must be preserved in the tarball, these BRs need to be added(some by spiffy some by the others):

perl(Carp)
perl(threads::shared)
perl(Data::Dumper)
perl(overload)
perl(YAML)
perl(PerlIO)

Comment 5 David Dick 2014-07-16 10:11:34 UTC
Ok, understood. I couldn't find where perl(YAML) or perl(Data::Dumper) are used. Patched and uploaded again. 

Spec URL: http://ddick.fedorapeople.org/packages/perl-Test-LoadAllModules.spec
SRPM URL: http://ddick.fedorapeople.org/packages/perl-Test-LoadAllModules-0.022-1.fc20.src.rpm

Comment 6 Christopher Meng 2014-07-18 06:14:50 UTC
Friendly note:

perl Makefile.PL NO_PACKLIST=1
---------------------8<----------
Since 6.75_01 (F21), it's possible to disable creating packlist files by passing NO_PACKLIST=1 argument to Makefile.PL.
------->8------------------------
PACKAGE APPROVED.

Comment 7 David Dick 2014-07-18 06:45:14 UTC
New Package SCM Request
=======================
Package Name: perl-Test-LoadAllModules
Short Description: Do use_ok for modules in search path
Upstream URL: http://search.cpan.org/dist/Test-LoadAllModules/
Owners: ddick
Branches: el6, epel7, f20, f21
InitialCC: perl-sig

Thanks Christopher!

Comment 8 Gwyn Ciesla 2014-07-18 12:45:32 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-07-18 21:40:07 UTC
perl-Test-LoadAllModules-0.022-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-LoadAllModules-0.022-1.el6

Comment 10 Fedora Update System 2014-07-18 21:54:07 UTC
perl-Test-LoadAllModules-0.022-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Test-LoadAllModules-0.022-1.fc20

Comment 11 Fedora Update System 2014-07-20 03:25:08 UTC
perl-Test-LoadAllModules-0.022-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2014-07-28 03:26:47 UTC
perl-Test-LoadAllModules-0.022-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2014-08-07 11:48:46 UTC
perl-Test-LoadAllModules-0.022-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.